## org.gnu.gdk
Class EventKey

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.Boxed
              org.gnu.gdk.Event
                  org.gnu.gdk.EventKey

public class EventKey
extends Event

Constructor Summary
`EventKey(Event evt)` Promotion constructor.
`EventKey(org.gnu.glib.Handle handle)`

Method Summary
`static EventKey` `getEventKey(org.gnu.glib.Handle handle)`
`int` `getGroup()`
`int` `getKeyVal()`
`int` `getLength()`
`ModifierType` `getModifierKey()`
`int` `getState()`
`java.lang.String` `getString()`
`Window` `getWindow()`

Methods inherited from class org.gnu.gdk.Event
`eventsPending, get, getGraphicsExpose, getTime, peek, put`

Methods inherited from class org.gnu.glib.Boxed
`equals, getBoxedFromHandle, hashCode`

Methods inherited from class org.gnu.glib.Struct
`getHandle, getNullHandle`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventKey

    public EventKey(Event evt)

  Promotion constructor. Construct the specific event object by promoting (sharing the `Handle` object of) the base `Event`.

### EventKey

    public EventKey(org.gnu.glib.Handle handle)

Method Detail

### getEventKey

    public static EventKey getEventKey(org.gnu.glib.Handle handle)

### getKeyVal

    public int getKeyVal()

### getString

    public java.lang.String getString()

### getGroup

    public int getGroup()

### getLength

    public int getLength()

### getState

    public int getState()

### getModifierKey

    public ModifierType getModifierKey()

### getWindow

    public Window getWindow()